#include <unistd.h>
#include "unity.h"
#include "stuffy.h"

int argc = 0;
char* argv[6];

void setUp(void)
{
    argv[0] = "bin/stuffy.out";
    argv[1] = "-a";
    argv[2] = "test/files/mystuffyarchive.test";
    argv[3] = "test/files/temp.test";
    argv[4] = ">";
    argv[5] = "test/files/output.test";
}

void tearDown(void)
{
    ;
}

void Test_StuffyArgument_Should_ReturnCorrectly(void)
{
    TEST_ASSERT_EQUAL(0, StuffyArgument(4, argv));
    argv[1] = "-r";
    TEST_ASSERT_EQUAL(1, StuffyArgument(4, argv));
    argv[1] = "-l";
    TEST_ASSERT_EQUAL(2, StuffyArgument(3, argv));
    argv[1] = "-e";
    TEST_ASSERT_EQUAL(3, StuffyArgument(6, argv));
    argv[1] = "-t";
    TEST_ASSERT_EQUAL(-1, StuffyArgument(4, argv));
}

void Test_AddToArchive_Should_AddCorrectly(void)
{
    ;
}

void Test_RemoveFromArchive_Should_RemoveCorrectly(void)
{
    ;
}

void Test_ListArchive_Should_ListCorrectly(void)
{
    ;
}

void Test_ExtractArchive_Should_ExtractCorrectly(void)
{
    ;
}

int main(void)
{
    UNITY_BEGIN();
    remove("test/files/mystuffyarchive.test");
    RUN_TEST(Test_StuffyArgument_Should_ReturnCorrectly);
    return UNITY_END();
}
